Description
===========
light weight resource to deliver web application from tarball to your host

Requirements
============
- tar

Attributes
==========

Usage
=====

    web_application 'my-application' do
        url   'http://some.ftp.host/my-app.tar.gz'
        user  'alex'
        group 'users'
        action :deliver
    end
    
Attributes
==========

 - url - http url to application tarball
 - user - owner of application files    
 - group - group of applications files
 - base - directory where application tarball will be unpacked, default value `user's home dir`
 so application will be unpacked in `base/apps/` directory
 

Actions
=======
 - fetch - just fetch applicatuion tarball and store 
 - unpack - unpack application tarball
 - symlink - make symplink in `base/apps/` to unpacked application 
 - deliver - fetch, unpack, symlink actions in sum
 
 
 

